VMware Cloud Community
ZiPPy201110141
Contributor
Contributor

P2V Debian, native initrd patcher error

I'm attempting a P2V using the Converter Standalone, version 5.1.0 build-1087880 with a Debian 7 server.  I'm getting the following error message An error occurred during the conversion: 'native initrd patcher only supports Rhel, SLE, Ubuntu'


Am I not able to use the P2V Converter with Debian?  Has anybody come across this error and found a workaround?


Thanks,

Reply
0 Kudos
6 Replies
ZiPPy201110141
Contributor
Contributor

Any thoughts?

Reply
0 Kudos
POCEH
VMware Employee
VMware Employee

Try with Converter 5.5.1

HTH

Reply
0 Kudos
ZiPPy201110141
Contributor
Contributor

POCEH,

Thanks for the reply!  I went ahead and updated the Converter to version 5.5.1 and I got the same error message.  Do I need to do something on the Linux end to allow this to work, or is this simply a compatibility issue?

Reply
0 Kudos
POCEH
VMware Employee
VMware Employee

Unfortunately there is no universal method for all Linux distributions, so you need to do 'customization' on destination machine manually. I'll post the 'guide' shortly'.

Reply
0 Kudos
ZiPPy201110141
Contributor
Contributor

Thank you POCEH!

Reply
0 Kudos
patanassov
VMware Employee
VMware Employee

Converter doesn't support Debian. It has a script to try reconfiguration for unsupported distros but it is RedHat based (I guess Debian's initrd build is not mkinitrd).

Have a look at this post for the steps necessary to reconfigure manually: Re: Conversion fails with the error:FAILED: An error occurred during the conversion:'root is not fou...

HTH

Plamen

Reply
0 Kudos